Subject: Re: [PATCH v2] log-tree: use custom line terminator in line termination mode

From: Andreas Schwab <[email-masked]>
Date: Tue, 01 May 2012 09:29:54 +0200

Junio C Hamano <[email-masked]> writes:

> Andreas Schwab <[email-masked]> writes:
>
>> Junio C Hamano <[email-masked]> writes:
>>
>>> Having said that, are we sure that
>>>
>>> 	printf "add bar\0initial"
>>>
>>> works per specification, or merely works by accident in some
>>> implementation?
>>
>> Since the backslash is not followed by $ ` " \ <newline> it is not
>> special to the shell.
>
> Yeah, but I wasn't worried about what shell does in the first place. I was
> worried about what printf(1) does.

Oh, I was confused becaused you mentioned the C case where the \NNN
interpretation is done by the compiler, not printf(3).

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."